<?php 
/*********************************************************
* DO NOT REMOVE *

Project: PHP Photo Gallery 1.0
Url: http://www.phpgalleryscript.org/

License------------------------------------------------:
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
End License----------------------------------------------

*********************************************************/


/*
Copyright (C) 2004-2006 Peter Frueh (http://www.ajaxprogrammer.com/)
Additional code contributions and modifications by David Fuller, Olli Jarva, and Simon Jensen

Edited to be more compatible with the PHP photo gallery under GPL license.

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

session_start();
if($_SESSION['admin']=='')
die('Please login first.');

$photo=htmlspecialchars($_GET["imageName"],ENT_QUOTES);
$photo=explode('.',$photo);

$urlphoto='../editphoto.php?p=' . intval($photo[0]);

if($_GET['c']!='')
$urlphoto='../review.php?c=' . intval($_GET['c']) . '&page=' . intval($_GET['page']);

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title>Image Editor</title>

	<style type="text/css">@import "ImageEditor.css";</style>
	<script type="text/javascript" src="PageInfo.js"></script>
	<script type="text/javascript" src="ImageEditor.js"></script>
	<script type="text/javascript">
	//<![CDATA[
		if (window.opener){
			window.moveTo(0, 0);
			window.resizeTo(screen.width, screen.height - 28);
			window.focus();
		}
		window.onload = function(){
			ImageEditor.init("<? echo $photo[0]. '.' . $photo[1]; ?>");
		};
		
		function savephotoexit()
		{
			if(confirm('Are you sure?\n\nNote: This action can not be undone. \nThe photo that you currently see will be saved.'))
			location.href='../photoedit.php?p=<?php echo $photo[0]; ?>&act=save<?php if($_GET['c']!='')echo '&c='. intval($_GET['c']) . '&page=' . intval($_GET['page']); ?>';
		}
	//]]>
	</script>
</head>
<body>

	<div id="image-editor">
		<div class="toolbar">
			<button onclick="ImageEditor.viewOriginal()">View Original</button>
			<button onclick="javascript:savephotoexit();">Save Photo and Exit</button>
			<button onclick="javascript:location.href='<?php echo $urlphoto; ?>';">Exit without saving</button>
			<span class="spacer"> || </span>
			<button onclick="ImageEditor.undo()">Undo/Redo</button>
			<span class="spacer"> || </span>
			w:<input id="txt-width" type="text" size="3" maxlength="4" />
			h:<input id="txt-height" type="text" size="3" maxlength="4" />
			<input id="chk-constrain" type="checkbox" checked="checked" />Constrain
			<button onclick="ImageEditor.resize();">Resize</button>
			
		</div>
		<div class="toolbar">
			<button onclick="ImageEditor.grayscale()">Gray Scale</button>
			<button onclick="ImageEditor.sepia()">Sepia</button>
			<button onclick="ImageEditor.pencil()">Pencil</button>
			<button onclick="ImageEditor.emboss()">Emboss</button>
			<button onclick="ImageEditor.sblur()">Blur</button>
			<button onclick="ImageEditor.smooth()">Smooth</button>
			<button onclick="ImageEditor.invert()">Invert</button>
			<button onclick="ImageEditor.brighten()">Brighten</button>
			<button onclick="ImageEditor.darken()">Darken</button>
			<span class="spacer"> || </span>
			Rotate: 
			<button onclick="ImageEditor.rotate(90)">90&deg;CCW</button>
			<button onclick="ImageEditor.rotate(270)">90&deg;CW</button>
			<span class="spacer"> || </span>
			<button onclick="ImageEditor.crop()">Crop</button>
			<span id="crop-size"></span>
		</div>
		<div id="image"></div>
	</div>

</body>
</html>