<?php

function exif_getfromdb($id)
{
	global $table;
	return unserialize(getone($table['exif'],'exifdata',"where idpic='$id'"));
}

function exif_read($photo)
{

	require_once('exif.php');

	$exifdata=array();
	$exifdata = read_exif_data_raw($photo,0);

	if($exifdata['Errors']==0 && $exifdata['ValidEXIFData']==1)
	{
		unset($exifdata['VerboseOutput']);
		unset($exifdata['InteroperabilityIFD']);
		unset($exifdata['InteroperabilityIFDNumTags']);
		unset($exifdata['IFD1NumTags'],$exifdata['IFD0NumTags']);
		unset($exifdata['SubIFD']['UserCommentOld']);
		unset($exifdata['KnownMaker']);
		unset($exifdata['SubIFDNumTags']);
		unset($exifdata['IFD1Offset']);
		unset($exifdata['SubIFD']['MakerNote']['DataDump']);
		unset($exifdata['APP1Size']);
		unset($exifdata['ValidCOMData']);
		unset($exifdata['ValidAPP2Data']);
		unset($exifdata['ValidEXIFData']);
		unset($exifdata['ValidJFIFData']);
		unset($exifdata['ValidIPTCData']);
		unset($exifdata['ValidJpeg']);
		unset($exifdata['Errors']);

		unset($exifdata['COM'],$exifdata['JFIF'],$exifdata['APP2'],$exifdata['IPT']);

		if(!is_array($exifdata['SubIFD']['MakerNote']))
		$exifdata['SubIFD']['MakerNote']=array();
		
		if(!is_array($exifdata['IFD0']))
		$exifdata['IFD0']=array();
		
		if(!is_array($exifdata['IFD1']))
		$exifdata['IFD1']=array();
		
		$exifdata=array_merge($exifdata['IFD0'],$exifdata,$exifdata['SubIFD']['MakerNote'],$exifdata['IFD1']);

		unset($exifdata['SubIFD']['MakerNote'],$exifdata['IFD1'],$exifdata['IFD0']);

		if(!is_array($exifdata['SubIFD']))
		$exifdata['SubIFD']=array();
		
		$exifdata=array_merge($exifdata,$exifdata['SubIFD']);

		unset($exifdata['SubIFD'],$exifdata['']);

		return $exifdata;
	}
	else
	return false;
}

function exif_savetodb($exifdata,$idpic)
{
	global $db,$table;
	$exifdata=array_map('clearsinglequotes',$exifdata);
	$exifdata=serialize($exifdata);
	return $db->Execute("INSERT into {$table['exif']}(idpic,exifdata) values('$idpic','$exifdata') on duplicate key update exifdata='$exifdata'");
}
