<?php
/*********************************************************
* DO NOT REMOVE *

Project: PHP Photo Gallery 1.0
Url: http://www.phpgalleryscript.org/

License------------------------------------------------:
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
End License----------------------------------------------

*********************************************************/


function createphotothumbs($photo,$pic)
{
	createthumb($photo,DATAPATH. '/photos/thumb/' . $pic,array('width'=>THUMBNAIL_WIDTH,'height'=>THUMBNAIL_HEIGHT),THUMBNAIL_CONSTRAIN);
	createthumb($photo,DATAPATH.'/photos/medium/' . $pic,array('width'=>MIDWIDTH,'height'=>MIDHEIGHT),MEDIUM_CONSTRAIN);
	movephoto($photo,DATAPATH.'/photos/'. $pic);
}

function movephoto($source,$destination)
{
	return rename($source,$destination);
}

function deletephotofiles($photo)
{
	@unlink(DATAPATH.'/photos/'.$photo);
	@unlink(DATAPATH.'/photos/thumb/'.$photo);
	@unlink(DATAPATH.'/photos/medium/'.$photo);
}

function deletephoto($id)
{
	global $db,$table;

	$id=intval($id);

	$p=getone($table['items'],'photo',"where id='$id'");

	$photo=$id. '.' . getmimetype($p);

	deleteitems($table['items'],"where id='$id'");
	deletephotofiles($photo);
}

function getmimetype($photo)
{
	$mime=array();
	$mime=explode('.',$photo);
	if ($mime[1] == 'jpeg')
	$mime[1] = 'jpg';
	return strtolower($mime[1]);
}
function delete_files_dir($d)
{
	$d=rtrim(rtrim($d,'\\'),'/') . '/';

	$dir=@opendir($d);

	while (false !== ($file = @readdir($dir)))
	{
		if($file!='.' && $file!='..')
		{
			if(is_file($d . $file))
			@unlink($d . $file);
		}
	}
	@closedir($dir);
}

function delete_files_dir_recursive($d,$no)
{
	$d=rtrim(rtrim($d,'\\'),'/') . '/';

	$dir=@opendir($d);

	while (false !== ($file = @readdir($dir)))
	{
		if($file!='.' && $file!='..')
		{
			if(is_file($d . $file))
			{
				if(!in_array($file,$no))
				@unlink($d . $file);

			}
			else
			{
				if(is_dir($d . $file))
				delete_files_dir_recursive($d.$file,$no);
			}
		}
	}
	@closedir($dir);
}