<?php
/*********************************************************
* DO NOT REMOVE *

Project: PHP Photo Gallery 1.0
Url: http://www.phpgalleryscript.org/

License------------------------------------------------:
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
End License----------------------------------------------

*********************************************************/

/**
 * Project FancyUpload
 *
 * This file represents a simple logging, validation and output.
 *  *
 * WARNING: If you really copy these lines in your backend without
 * any modification, there is something seriously wrong! Drop me a line
 * and I can give you a good rate for fancy and customised installation.
 *
 * No showcase represents 100% an actual real world file handling,
 * you need to move and process the file in your own code!
 * Just like you would do it with other uploaded files, nothing
 * special.
 *
 * @license		MIT License
 *
 * @author		Harald Kirschner <mail [at] digitarald [dot] de>
 * @copyright	Authors
 *
 */





session_start();
if($_SESSION['admin']=='')
die();

require_once('../jadro/base.php');

///checks for mod security
if(function_exists('apache_get_modules'))
{
	$amod=@apache_get_modules();
	if(in_array('mod_security',$amod))
	$_GET['nojs']=1;
	unset($amod);
}
if($_SESSION['multipleupload']=='1')
$_GET['nojs']=1;

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<link href="<?php echo @constant('SITE_ROOT'); ?>/scripts/fancyupload/fancyupload.css" rel="stylesheet" type="text/css" media="screen" />
<?php if(!isset($_GET['nojs'])){ ?>
<script type="text/javascript" src="<?php echo @constant('SITE_ROOT'); ?>/scripts/mootools/mootools-1.2.1-core-yc.js"></script>
<script type="text/javascript" src="<?php echo @constant('SITE_ROOT'); ?>/scripts/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="<?php echo @constant('SITE_ROOT'); ?>/scripts/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="<?php echo @constant('SITE_ROOT'); ?>/scripts/fancyupload/FancyUpload2.js"></script>
<script type="text/javascript">
window.addEvent('load', function() {

	var swiffy = new FancyUpload2($('fancyupload-status'), $('fancyupload-list'), {
		url: $('fancyupload-form').action,
		fieldName: 'fancyupload-photoupload',
		<?php if($_SESSION['instantstart']=='') { ?>
		instantStart: true,
		<?php  } ?>
		<?php if($_SESSION['multipleupload']!='') echo 'limitFiles: ' . $_SESSION['multipleupload'] . ','.($_SESSION['multipleupload']=='1'?'multiple: false,':'' ); ?>
		path: '<?php echo @constant('SITE_ROOT'); ?>/scripts/fancyupload/Swiff.Uploader.swf',
		onLoad: function() {
			$('fancyupload-status').removeClass('hide');
			$('fancyupload-fallback').destroy();
		},
		// The changed parts!
		debug: false, // enable logs, uses console.log
		target: 'fancyupload-browse' // the element for the overlay (Flash 10 only)
		
		
		
	});

	/**
	 * Various interactions
	 */
	var filt = {'Images ': '*.JPG; *.JPEG; *.GIF; *.PNG;*.jpg; *.jpeg; *.gif; *.png'};
	swiffy.options.typeFilter = filt;

	$('fancyupload-browse').addEvent('click', function() {
		/**
		 * Doesn't work anymore with Flash 10: swiffy.browse();
		 * FancyUpload moves the Flash movie as overlay over the link.
		 * (see opeion "target" above)
		 */
		swiffy.browse();
		return false;
	});

	/**
	 * The *NEW* way to set the typeFilter, since Flash 10 does not call
	 * swiffy.browse(), we need to change the type manually before the browse-click.
	 */
	$('fancyupload-select-images').addEvent('change', function() {
		var filter = null;
		if (this.checked) {
			filter = {'Images ': '*.JPG; *.JPEG; *.GIF; *.PNG;*.jpg; *.jpeg; *.gif; *.png'};
		}
		swiffy.options.typeFilter = filter;
	});

	$('fancyupload-clear').addEvent('click', function() {
		swiffy.removeFile();
		return false;
	});

	$('fancyupload-upload').addEvent('click', function() {
		swiffy.upload();
		return false;
	});

});

</script>
<?php } ?>
</head>
<body>
<form action="<?php echo @constant('SITE_ROOT'); ?>/admin/upload.php?<?php echo session_name().'='.session_id(); ?><?php if (isset($_GET['nojs']))echo '&nojs=1'; ?>" method="post" enctype="multipart/form-data" id="fancyupload-form">
	<fieldset id="fancyupload-fallback">
		<legend>File Upload</legend>
		<p>
			Select your photo to upload.<br />
		</p>
		<label for="fancyupload-photoupload">
			Upload Photos:
			<input type="file" name="fancyupload-photoupload" id="fancyupload-photoupload" />
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" value="Upload" />
		</label>
	</fieldset>
<?php if(!isset($_GET['nojs'])){ ?>
	<div id="fancyupload-status" class="hide">

		<p>
			<a href="#" id="fancyupload-browse">Browse Files</a> |
			<input type="checkbox" id="fancyupload-select-images" checked="checked" class="ss" /> Images Only |
			<a href="#" id="fancyupload-clear">Clear List</a> |
			<a href="#" id="fancyupload-upload">Upload</a>
		</p>
		<div>

			<strong class="overall-title">Overall progress</strong><br />
			<img src="<?php echo @constant('SITE_ROOT'); ?>/scripts/fancyupload/images/bar.gif" class="progress overall-progress" />
		</div>
		<div>
			<strong class="current-title">File Progress</strong><br />
			<img src="<?php echo @constant('SITE_ROOT'); ?>/scripts/fancyupload/images/bar.gif" class="progress current-progress" />
		</div>
		<div class="current-text"></div>

	</div>

	<ul id="fancyupload-list"></ul>
	
	<?php } ?> 
</form>
</body></html>